<?php
rg_log("FILE: /inc/user/repo/bug/show/add_note");

$note_add_doit = rg_var_uint("note_add_doit");

$note = "";

$note_errmsg = array();
while (1) {
	if ($note_add_doit == 0)
		break;

	$note = rg_var_str("note");

	if (!rg_valid_referer()) {
		$note_errmsg[] = "invalid referer; try again";
		break;
	}

	if (!rg_token_valid($db, $rg, 'note_add', FALSE)) {
		$note_errmsg[] = "Invalid token. Try again.";
		break;
	}

	if (empty($note)) {
		$note_errmsg[] = "note cannot be empty";
		break;
	}

	$x = array();
	$x['obj_id'] = $rg['ri']['repo_id'];
	$x['type'] = 'repo';
	$x['owner'] = $rg['ri']['uid'];
	$x['uid'] = $rg['login_ui']['uid'];
	$x['username'] = $rg['login_ui']['username'];
	$x['needed_rights'] = 'B';
	$x['ip'] = $rg['ip'];
	$x['misc'] = '';
	if (rg_rights_allow($db, $x) !== TRUE) {
		$note_errmsg[] = rg_template("repo/bug/note/deny_add.html", $rg, TRUE /*xss*/);
		break;
	}

	// add note
	$_d = array();
	$_d['note'] = $note;
	$ret = rg_bug_note_add($db, $rg['ri']['repo_id'], $bug_id,
		$rg['login_ui']['uid'], $_d);
	if ($ret === FALSE) {
		$note_errmsg[] = "Cannot add note (" . rg_bug_error() . ")";
		break;
	}

	// allow another note to be added
	$note = "";
	break;
}

// add note form
$rg['HTML:note_errmsg'] = rg_template_errmsg($note_errmsg);
$rg['rg_form_token_tag'] = 'note_add';
$rg['rg_form_token'] = rg_token_get($db, $rg, 'note_add');
$rg['note'] = $note;
$rg['HTML:note_add'] = rg_template("repo/bug/note_add.html", $rg, TRUE /* xss */);
?>
