<?php
$INC = dirname(__FILE__) . "/../inc";
require_once($INC . "/state.inc.php");
require_once($INC . "/sql.inc.php");
require_once($INC . "/struct.inc.php");
require_once($INC . "/fixes.inc.php");

rg_sql_app("rg-tests");
$db = rg_sql_open($rg_sql);
if ($db === FALSE) {
	rg_log("Cannot create a database (" . rg_sql_error() . ")!");
	exit(1);
}

if (isset($rg_no_db) && $rg_no_db)
	return;

rg_log("Redo schema...");

$r = rg_sql_struct_update($db, 0);
if ($r !== TRUE) {
	rg_log("Cannot create struct (" . rg_sql_error() . ")!");
	exit(1);
}

$r = rg_fixes_update($db);
if ($r !== TRUE) {
	rg_log("Cannot apply fixes!");
	exit(1);
}

$r = rg_sql_struct_slaves_update($db);
if ($r !== TRUE) {
	rg_log("Cannot create slaves!");
	exit(1);
}

rg_log("common.php finished");
rg_log('');

?>
