<?php
rg_log("FILE: /inc/admin/admin");

$_admin = "";

if ($rg['login_ui']['is_admin'] != 1) {
	$_admin .= rg_template("access_denied.html", $rg, TRUE /* xss */);
	return;
}

$_subop = empty($paras) ? 'settings' : array_shift($paras);

$rg['admin_menu'][$_subop] = 1;
$rg['HTML:menu_level2'] = '';

$rg['url_up'] = $rg['url'];
$rg['url'] .= '/' . $_subop;
switch ($_subop) {
case 'settings':
	$_admin_body = rg_admin_settings($db, $rg, $paras);
	break;

case 'plans':
	include($INC . "/admin/plans/plans.php");
	$_admin_body = $_admin_plans;
	break;

case 'users': // users
	include($INC . "/admin/users/users.php");
	$_admin_body = $_admin_users;
	break;

case 'repos': // repos
	include($INC . "/admin/repos/repos.php");
	$_admin_body = $_admin_repos;
	break;

case 'workers':
	$_admin_body = rg_worker_high_level($db, $rg, $paras);
	break;

case 'invites': // invites
	$_admin_body = rg_admin_invites_high_level($db, $rg);
	break;

default:
	$_admin_body = rg_warning('invalid operation');
	break;
}
$rg['url'] = $rg['url_up'];

$_admin .= rg_template("admin/menu.html", $rg, TRUE /* xss */);
$_admin .= '<div class="generic_body">' . "\n";
$_admin .= $_admin_body;
$_admin .= '</div>' . "\n";

?>
